if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

#
( cd usr/lib ; rm -rf libcryptui.so.0 )
( cd usr/lib ; ln -sf libcryptui.so.0.0.0 libcryptui.so.0 )
( cd usr/lib ; rm -rf libcryptui.so )
( cd usr/lib ; ln -sf libcryptui.so.0.0.0 libcryptui.so )
